***Sintax ENADID 1997, BASE DE DATOS ANTICONCEPCIN***
*** Base de datos: ENADID97_anticon.sav***

*** ETIQUETAR Y CODIFICAR VARIABLES DE LA BASE DE ANTICONCEPCIN***

***1.***

Variable Labels ent 'ent Entidad'.
Value Labels ent
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***2.***

Variable Labels mun 'mun Municipio'.
Execute .

***3.***

Variable Labels zona 'zona Zona'.
Value Labels zona
01	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
02	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
03	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
04	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
05	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
06	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
07	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
20	'Localidades de 90 000 a 99 999 habitantes'
30	'Localidades de 50 000 a 89 999 habitantes'
40	'Localidades de 15 000 a 49 999 habitantes'
50	'Localidades de 2 500 a 14 999 habitantes'
60	'Menores de 2 500 habitantes'.
Execute .

***4.***

Variable Labels estrato 'estrato Estrato'.
Execute .

***5.***

Variable Labels tam_loc 'tam_loc Tamao de localidad'.
Value Labels tam_loc
1  'Menor a 2 500 habitantes'
2  '2 500 a 14 999 habitantes'
3  '15 000 a 19 999 habitantes'
4  '20 000 a 99 999 habitantes'
5  '100 000 y ms habitantes'.
Execute .

***6.***

Variable Labels upm 'upm Nmero de control'.
Execute .

***7.***

Variable Labels f_viv 'f_viv Folio de vivienda'.
Execute .

***8.***

Variable Labels hogar 'hogar Nmero de hogar en la vivienda'.
Execute .

***9.***

Variable Labels fac_muj 'fac_muj Factor de expansin (mujer)'.
Execute .

***10.***

Variable Labels p3_1 'p3_1 Nmero de registro de la mujer en la seccin III Datos Generales'.
Execute .

***11.***

Variable Labels p12_18 'p12_18 Nmero de segmento'.
Execute .

***12.***

Variable Labels p12_19a1 'p12_19a1 Tipo de mtodo (A)'.
Value Labels p12_19a1
1	'Operacin femenina (ligadura)'
2	'Operacin masculina (vasectoma)'
3	'Pastillas'
4	'Inyecciones mensuales'
5	'Inyecciones bimestrales'
6	'Inyecciones trimentrales'
7	'Norplant'
8	'Dispositivo (DIU) o aparato'
9	'Condones'
10	'vulos, jaleas, espumas o diafragma'
11	'Ritmo'
12	'Retiro'
13	'Otro mtodo'
99	'No respondi'.
Execute .

***13***

Variable Labels p12_19a2 'p12_19a2 Tipo de mtodo (B)'.
Value Labels p12_19a2
1	'Operacin femenina (ligadura)'
2	'Operacin masculina (vasectoma)'
3	'Pastillas'
4	'Inyecciones mensuales'
5	'Inyecciones bimestrales'
6	'Inyecciones trimentrales'
7	'Norplant'
8	'Dispositivo (DIU) o aparato'
9	'Condones'
10	'vulos, jaleas, espumas o diafragma'
11	'Ritmo'
12	'Retiro'
13	'Otro mtodo'
99	'No respondi'.
Execute .

***14.***

Variable Labels p12_19a3 'p12_19a3 Tipo de mtodo (C)'.
Value Labels p12_19a3
1	'Operacin femenina (ligadura)'
2	'Operacin masculina (vasectoma)'
3	'Pastillas'
4	'Inyecciones mensuales'
5	'Inyecciones bimestrales'
6	'Inyecciones trimentrales'
7	'Norplant'
8	'Dispositivo (DIU) o aparato'
9	'Condones'
10	'vulos, jaleas, espumas o diafragma'
11	'Ritmo'
12	'Retiro'
13	'Otro mtodo'
99	'No respondi'.
Execute .

***15.***

Variable Labels p12_20a 'p12_20a Lugar de obtencin del mtodo'.
Value Labels p12_20a	
1	'Seguro social (clnica, hospital o promotora)'
2	'ISSSTE (clnica, hospital o promotora)'
3	'Centro de salud, SSA (clnica, hospital o promotora)'
4	'IMSS Solidaridad (Clnica promotora)'
5	'DIF'
6	'Otras instituciones de salud del gobierno'
7	'MEXFAM (antes FEPAC)'
8	'FEMAP'
9	'Consultorio, clnica u hospital privado'
10	'Farmacia'
11	'Tienda de autoservicio'
12	'Otro lugar'
99	'No sabe'.
Execute .

***16.***

Variable Labels p12_21 'p12_21 se embaraz ud mientras usaba este mtodo?'.
Value Labels p12_21	1 'S'
			2 'No'
			9 'No especificado'.
Execute .

***17.***

Variable Labels p12_22a 'p12_22a Cul fue la principal razn por la que dej de usarlo?'.
Value Labels p12_22a
1	'Se embaraz'
2	'Quera embarazarse'
3	'No lo necesitaba: por estar separada, viuda o divorciada'
4	'No lo necesitaba: por estar en la menopausia'
5	'No lo necesitaba: por esterilidad de ella o de su pareja'
6	'No lo necesitaba: por ausencia temporal de su pareja'
7	'No lo necesitaba: porque dej de tener relaciones sexuales'
8	'Temor a efectos colaterales'
9	'Tuvo efectos colaterales'
10	'Se opuso su pareja'
11	'Se enferm y prefiri no usar nada'
12	'Estaba dando el pecho a alguno de sus hijos: y no consideraba necesario usar mtodo'
13	'Estaba dando el pecho a alguno de sus hijos: y crea que poda haber problemas de salud'
14	'Por razones religiosas'
15	'Expuls el DIU'
16	'Prefera otro mtodo'
17	'Desconfiaba de su efectividad'
18	'Otra razn'
99	'No especificado'.
Execute .

***18.***

Variable Labels p12_23a 'p12_23a Fecha de inicio_Mes'.
Value Labels p12_23a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***19.***

Variable Labels p12_23b 'p12_23b Fecha de inicio_Ao'.
Value Labels p12_23b	99 'No especificado'.
Execute .

***20.***

Variable Labels p12_24a 'p12_24a Fecha de trmino_Mes'.
Value Labels p12_24a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***21.***

Variable Labels p12_24b 'p12_24b Fecha de trmino_Ao'.
Value Labels p12_24b	99 'No especificado'.
Execute .

***22.***

Variable Labels p12_25 'p12_25 Cuntas hijas e hijos vivos tena cuando empez a usar este mtodo?'.
Value Labels p12_25	99 'No especificado'.
Execute .

***23.***

Variable Labels p12_26 'p12_26 Antes de (mtodo ms efectivo mencionado) ud o su pareja hicieron algo para no tener hijos, aunque haya sido por poco tiempo?'.
Value Labels p12_26	1 'S'
			2 'No'
			9 'No especificado'.
Execute .

***24.***

Variable Labels p12_27 'p12_27 Filtro. Inici uso entre enero de 1992 y la fecha actual?'.
Value Labels p12_27	1 'S'
			2 'No'
			9 'No especificado'.
Execute .



***************************************
*** PEGAR BASES DE DATOS
***************************************

*** I M P O R T A N T E
*** Tener en cuenta que si se desea realizar el pegado de bases nuevamente es necesario modificar la ruta
*** en la que se encuentra ya sea la base de Datos Generales o la de Vivienda y Hogares

*** En la base de migracin hay una modificacin en una de las variabes que utilizan como llave
*** esto se debe a que la variable relativa al nmero de registro de la persona en esta base es p7_2a y en la de datos generales es p3_1  

*** Para realizar el pegado de las variables de las bases de Datos Generales y de Vivienda y Hogares
*** se cre una variable llave y las bases se ordenaron de acuerdo a esta llave y al nmero de registro de la persona en la base de datos generales.
*** Las bases de vivienda y hogares, y la de mortalidad solamente se ordenaron de acuerdo a la variable llave

*** La sintaxis de los pasos seguidos es la siguiente:


** 1. ORDENAR las bases de datos en forma ascendente, con base en 4 variables

SORT CASES BY
  ent (A) mun (A) zona (A) estrato (A).


** 2. CREAR UNA VARIABLE LLAVE. Es de tipo cadena porque todas las variables involucradas son de ese tipo

STRING llave (A20).
COMPUTE llave = CONCAT(ent, mun,zona,estrato,upm,f_viv,hogar) .
Variable Labels llave 'llave Variable llave para pegar bases de datos'.
EXECUTE .


** 3. ORDENAR las bases de datos de forma ascendente de acuerdo a las variables llave y p3_1

SORT CASES BY
  llave (A) p3_1 (A) .


******************************************************************************************************************************************
*** 1. A LA BASE DE ANTICONCEPCIN PEGAR VARIABLES DE LA BASE DE DATOS GENERALES***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_dat-gen.sav'
 /RENAME (ent estrato f_viv fac_viv hogar mun p3_10a p3_10b p3_11a p3_12 p3_4
  p3_6 p3_8 p3_9 p4_1a p4_1c p4_1e p4_2 p4_4 p4_5a p4_5b p4_6a p4_6b p4_7
  p4_8a p4_8b p4_9a p4_9b p6_11 p6_12 p6_13a p6_13b p6_14a p6_14b p6_15 p6_16
  p6_2 tam_loc upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14
  d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33
  d34 d35 d36 d37 d38 d39)
 /BY llave p3_1
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39.
EXECUTE.



******************************************************************************************************************************************
*** 2. A LA BASE DE ANTICONCEPCIN PEGAR VARIABLES DE LA BASE DE VIVIENDA Y HOGARES	***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_viv-hog.sav'
 /RENAME (ent estrato f_viv fac_viv fent_mes hogar ingmenth mun p2_2 p2_3
  p3_3a p3_3c p6_10mh p6_8mh p7_11a p7_11b p8_1a p8_1b p8_4 tam_loc tip_hog
  upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22)
 /BY llave
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22.
EXECUTE.


